# Bulk-load attendees into the currently-active event.

from datetime import datetime

from google.appengine.api import datastore_types
from google.appengine.ext import bulkload
from google.appengine.ext import db

from model import *

class AttendeeLoader(bulkload.Loader):
  def __init__(self):
    configuration = Configuration.all().get() or Configuration()
    active_event = configuration.active_event.key()

    bulkload.Loader.__init__(self, 'Attendee',
                             [('name', str),
                              ('email', datastore_types.Email),
                              ('signup_date', lambda x: datetime.strptime(x,
                                '%Y-%m-%d %H:%M:%S')),
                              ('interests', str),
                              ('publish_name', lambda x: bool(int(x))),
                              ('event', lambda ignored: active_event)])


if __name__ == '__main__':
  bulkload.main(AttendeeLoader())
