# OSJam entity models.

from google.appengine.ext import db

class Event(db.Model):
  date = db.DateProperty(required=True)
  title = db.StringProperty(required=True, default='New Event')
  text = db.TextProperty()
  max_places = db.IntegerProperty(verbose_name='Max number of places')
  allow_signup = db.BooleanProperty()

class Attendee(db.Model):
  event = db.ReferenceProperty(Event,
                               required=True,
                               collection_name='attendees')
  name = db.StringProperty(required=True)
  email = db.EmailProperty(required=True)
  signup_date = db.DateTimeProperty(required=True, auto_now_add=True)
  interests = db.StringProperty()
  publish_name = db.BooleanProperty()

class Configuration(db.Model):
  active_event = db.ReferenceProperty(Event)
